<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<!-- Fixed navbar -->
<div th:replace="fragments/header :: header"></div> <!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h4>Ingresar maquinaria</h4>
            <br> </br>
            <form class="form" id="user-form">  <!--Muestra un formulario con los datos a completar para ingresar una maquinaria-->

                <div class="form-group" style="width:49%; float:left;">
                    <label for="codigo">Código:</label>
                    <input id="codigo" name="codigo" placeholder="Código" class="form-control input-md"
                           required=""
                           title="Ingresa código"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="nombre">Nombre:</label>
                    <input id="nombre" name="nombre" placeholder="Nombre" class="form-control input-md"
                           required=""
                           title="Ingresa nombre"/>
                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="estado">Estado:</label>
                    <input id="estado" name="estado" placeholder="Estado" class="form-control input-md"
                           required=""
                           title="Ingresa estado"/>
                </div>

                <div class="form-group" style="width:49%; float:left;">
                    <label for="idAdmin">Administrativo a cargo:</label>
                    <input id="idAdmin" name="idAdmin" placeholder="ID Administrativo" class="form-control input-md"
                           required=""
                           title="Ingresa Admin"/>
                </div>

                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Ingresar</button>
            </form>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script>
    $(document).ready(function () {

        $("#user-form").submit(function (e) {
            <!--Captura los datos del formulario-->
            var datos = {
                codigo: $("input[name=codigo]").val(),
                nombre: $("input[name=nombre]").val(),
                estado: $("input[name=estado]").val(),
                idAdministrativo: $("input[name=idAdmin]").val(),
                visible: true
            };
            <!--Envía los datos capturados al URL /maquinaria/crear-->

            $.ajax({
                type: "POST",
                contentType: 'application/json',
                url: "http://localhost:8080/maquinaria/crear",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjunta los datos
            }).done(function (message) {
                location.href = "http://localhost:8080/maquinarias";
            }).fail(function (e) {
                console.log("error " + e);
            });
            return false;
        });

    });


</script>

</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>